ForceFields::MMFF::MMFFBndkCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFBond * | operator() (const int atomicNum, const int nbrAtomicNum) const
| Looks up the parameters for a particular key and returns them. More...
| MMFFBndkCollection (std::string mmffBndk="")

## Public Attributes

std::vector< MMFFBond > | d_params
| the parameter vector More...
std::vector< std::uint8_t > | d_iAtomicNum
std::vector< std::uint8_t > | d_jAtomicNum
| atomic number vector for atom i More...

## Detailed Description

Definition at line 408 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFBndkCollection()

ForceFields::MMFF::MMFFBndkCollection::MMFFBndkCollection | ( | std::string | mmffBndk = `""` | ) |

## Member Function Documentation

## operator()()

const MMFFBond* ForceFields::MMFF::MMFFBndkCollection::operator() | ( | const int | atomicNum,
|  | const int | nbrAtomicNum
| ) |  | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFBndk object, NULL on failure.

Definition at line 414 of file MMFF/Params.h.

## Member Data Documentation

## d_iAtomicNum

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBndkCollection::d_iAtomicNum

Definition at line 459 of file MMFF/Params.h.

## d_jAtomicNum

std::vector<std::uint8_t> ForceFields::MMFF::MMFFBndkCollection::d_jAtomicNum

atomic number vector for atom i

Definition at line 460 of file MMFF/Params.h.

## d_params

std::vector<MMFFBond> ForceFields::MMFF::MMFFBndkCollection::d_params

the parameter vector

Definition at line 458 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h